Kwalitee Issues

prereq_matches_use

List all used modules in META.yml requires

Error:

  • Module::Compile

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: XML::XSH2::Commands, XML::XSH2::DummyXPathContext

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 0.05,2.001025

has_known_license_in_source_file

Add =head1 LICENSE and/or the proper text of the well-known license to the main module in your code.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

no_invalid_versions

Fix the version numbers so that version::is_lax($version) returns true.

Error:

  • lib/XML/XSH2/Parser.pm: HASH(0x7297e68)

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: XML::XSH2, XML::XSH2::Commands, XML::XSH2::Compile, XML::XSH2::Completion, XML::XSH2::CompletionList, XML::XSH2::DummyXPathContext, XML::XSH2::Grammar, XML::XSH2::Help, XML::XSH2::Inline, XML::XSH2::Iterators, XML::XSH2::LibXMLCompat, XML::XSH2::Parser, XML::XSH2::XPathToXML

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
XML::XSH2 A powerfull scripting language/shell for XPath-based editing of XML 2.001025 metacpan
XML::XSH2::Compile Create modules with built-in XSH commands 2.001025 metacpan
XML::XSH2::Completion 2.001025 metacpan
XML::XSH2::CompletionList metacpan
XML::XSH2::DummyXPathContext 2.001025 metacpan
XML::XSH2::Functions 2.001025 metacpan
XML::XSH2::Grammar metacpan
XML::XSH2::Help metacpan
XML::XSH2::Inline Insert XSH commands directly into your Perl scripts 2.001025 metacpan
XML::XSH2::Iterators 2.001025 metacpan
XML::XSH2::LibXMLCompat 2.001025 metacpan
XML::XSH2::Parser metacpan
XML::XSH2::XPathToXML Generates XML document from XPath expressions 0.05 metacpan

Provides

Name File View
XML::XSH2::FilteredIterator lib/XML/XSH2/Iterators.pm metacpan
XML::XSH2::Internal::Exception lib/XML/XSH2/Functions.pm metacpan
XML::XSH2::Internal::LoopTerminatingException lib/XML/XSH2/Functions.pm metacpan
XML::XSH2::Internal::SubTerminatingException lib/XML/XSH2/Functions.pm metacpan
XML::XSH2::Internal::UncatchableException lib/XML/XSH2/Functions.pm metacpan
XML::XSH2::Map lib/XML/XSH2/Functions.pm metacpan
XML::XSH2::VarAlias lib/XML/XSH2/Functions.pm metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan